OGRE: Ogre::RenderTargetListener Class Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::RenderTargetListener Class Reference

A interface class defining a listener which can be used to receive notifications of RenderTarget events. More...

`#include <OgreRenderTargetListener.h>`

Inheritance diagram for Ogre::RenderTargetListener:

[legend]
List of all members.

## Public Member Functions

virtual | ~RenderTargetListener ()
virtual void | preRenderTargetUpdate (const RenderTargetEvent &evt)
| Called just before a RenderTarget is about to be rendered into.
virtual void | postRenderTargetUpdate (const RenderTargetEvent &evt)
| Called just after a RenderTarget has been rendered to.
virtual void | preViewportUpdate (const RenderTargetViewportEvent &evt)
virtual void | postViewportUpdate (const RenderTargetViewportEvent &evt)
virtual void | viewportAdded (const RenderTargetViewportEvent &evt)
| Called to notify listener that a Viewport has been added to the target in question.
virtual void | viewportRemoved (const RenderTargetViewportEvent &evt)
| Called to notify listener that a Viewport has been removed from the target in question.

## Detailed Description

A interface class defining a listener which can be used to receive notifications of RenderTarget events.

Remarks:
  A 'listener' is an interface designed to be called back when particular events are called. This class defines the interface relating to RenderTarget events. In order to receive notifications of RenderTarget events, you should create a subclass of RenderTargetListener and override the methods for which you would like to customise the resulting processing. You should then call RenderTarget::addListener passing an instance of this class. There is no limit to the number of RenderTarget listeners you can register, allowing you to register multiple listeners for different purposes. RenderTarget events occur before and after the target is updated as a whole, and before and after each viewport on that target is updated. Each RenderTarget holds it's own set of listeners, but you can register the same listener on multiple render targets if you like since the event contains details of the originating RenderTarget.

Definition at line 72 of file OgreRenderTargetListener.h.

## Constructor & Destructor Documentation

virtual Ogre::RenderTargetListener::~RenderTargetListener | ( |  | ) | `[virtual]`

| Definition at line 83 of file OgreRenderTargetListener.h.

## Member Function Documentation

virtual void Ogre::RenderTargetListener::postRenderTargetUpdate | ( | const RenderTargetEvent & | evt | ) | `[virtual]`

Called just after a RenderTarget has been rendered to.

Remarks:
  This event is called just after all the viewports attached to the target in question have been rendered to. You can perform your own manual rendering commands in this event handler if you like, these will be composited with the contents of the target already there (depending on the material settings you use etc).

Definition at line 104 of file OgreRenderTargetListener.h.

virtual void Ogre::RenderTargetListener::postViewportUpdate | ( | const RenderTargetViewportEvent & | evt | ) | `[virtual]`

| Reimplemented in Ogre::CompositorChain. Definition at line 119 of file OgreRenderTargetListener.h.

virtual void Ogre::RenderTargetListener::preRenderTargetUpdate | ( | const RenderTargetEvent & | evt | ) | `[virtual]`

Called just before a RenderTarget is about to be rendered into.

Remarks:
  This event is raised just before any of the viewports on the target are rendered to. You can perform manual rendering operations here if you want, but please note that if the Viewport objects attached to this target are set up to clear the background, you will lose whatever you render. If you want some kind of backdrop in this event you should turn off background clearing off on the viewports, and either clear the viewports yourself in this event handler before doing your rendering or just render over the top if you don't need to.

Reimplemented in Ogre::CompositorChain.

Definition at line 95 of file OgreRenderTargetListener.h.

virtual void Ogre::RenderTargetListener::preViewportUpdate | ( | const RenderTargetViewportEvent & | evt | ) | `[virtual]`

| Reimplemented in Ogre::CompositorChain. Definition at line 112 of file OgreRenderTargetListener.h.

virtual void Ogre::RenderTargetListener::viewportAdded | ( | const RenderTargetViewportEvent & | evt | ) | `[virtual]`

| Called to notify listener that a Viewport has been added to the target in question. Definition at line 124 of file OgreRenderTargetListener.h.

virtual void Ogre::RenderTargetListener::viewportRemoved | ( | const RenderTargetViewportEvent & | evt | ) | `[virtual]`

| Called to notify listener that a Viewport has been removed from the target in question. Reimplemented in Ogre::CompositorChain. Definition at line 128 of file OgreRenderTargetListener.h.

The documentation for this class was generated from the following file:

- OgreRenderTargetListener.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:48:07 2008